Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFormLayout.FieldGrowthPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFormLayout.FieldGrowthPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFormLayout

    public static final class QFormLayout.FieldGrowthPolicy

extends java.lang.Enum
implements QtEnumerator

This enum specifies the different policies that can be used to control the way in which the form's fields grow.

See also:
  `fieldGrowthPolicy`.

See Also:
  Serialized Form

Field Summary
`static QFormLayout.FieldGrowthPolicy` | `AllNonFixedFieldsGrow` All fields with a size policy that allows them to grow will grow to fill the available space.
`static QFormLayout.FieldGrowthPolicy` | `ExpandingFieldsGrow` Fields with an horizontal `size policy` of `Expanding` or `MinimumExpanding` will grow to fill the available space.
`static QFormLayout.FieldGrowthPolicy` | `FieldsStayAtSizeHint` The fields never grow beyond their `effective size hint`.

Method Summary
`static QFormLayout.FieldGrowthPolicy` | `resolve(int value)` Returns the QFormLayout$FieldGrowthPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFormLayout.FieldGrowthPolicy` | `valueOf(java.lang.String name)`
`static QFormLayout.FieldGrowthPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FieldsStayAtSizeHint

    public static final QFormLayout.FieldGrowthPolicy FieldsStayAtSizeHint

  The fields never grow beyond their `effective size hint`. This is the default for QMacStyle.

### ExpandingFieldsGrow

    public static final QFormLayout.FieldGrowthPolicy ExpandingFieldsGrow

  Fields with an horizontal `size policy` of `Expanding` or `MinimumExpanding` will grow to fill the available space. The other fields will not grow beyond their effective size hint. This is the default policy for Plastique.

### AllNonFixedFieldsGrow

    public static final QFormLayout.FieldGrowthPolicy AllNonFixedFieldsGrow

  All fields with a size policy that allows them to grow will grow to fill the available space. This is the default policy for most styles.

Method Detail

### values

    public static QFormLayout.FieldGrowthPolicy[] values()

### valueOf

    public static QFormLayout.FieldGrowthPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFormLayout.FieldGrowthPolicy resolve(int value)

  Returns the QFormLayout$FieldGrowthPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD